Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/configuration.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/configuration.cfg	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/configuration.cfg	(revision 77)
@@ -9,5 +9,3 @@
 2	2	*2 # uint32_t size_special_data  
 16	16	*2 # uint32_t nb_special_register
-10	10	*2 # uint32_t nb_operation       
-4	4	*2 # uint32_t nb_type            
 1	8	*2 # uint32_t nb_bypass_write  
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/src/main.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/src/main.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/src/main.cpp	(revision 77)
@@ -8,5 +8,5 @@
 #include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/include/test.h"
 
-#define NB_PARAMS 12
+#define NB_PARAMS 10
 
 void usage (int argc, char * argv[])
@@ -23,6 +23,4 @@
   err (_(" * size_special_data   (uint32_t)\n"));
   err (_(" * nb_special_register (uint32_t)\n"));
-  err (_(" * nb_operation        (uint32_t)\n"));
-  err (_(" * nb_type             (uint32_t)\n"));
   err (_(" * nb_bypass_write     (uint32_t)\n"));
 
@@ -51,6 +49,4 @@
   const uint32_t size_special_data   = atoi(argv[x++]);
   const uint32_t nb_special_register = atoi(argv[x++]);
-  const uint32_t nb_operation        = atoi(argv[x++]);
-  const uint32_t nb_type             = atoi(argv[x++]);
   const uint32_t nb_bypass_write     = atoi(argv[x++]);
 
@@ -67,6 +63,4 @@
 	 size_special_data  ,
 	 nb_special_register,
-	 nb_operation       ,
-	 nb_type            ,
 	 nb_bypass_write    );
       
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/src/test.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/src/test.cpp	(revision 77)
@@ -50,5 +50,5 @@
   public  : Tpacket_t          _packet_id    ;
 //public  : Toperation_t       _operation    ;
-//public  : Ttype_t            _type         ;
+  public  : Ttype_t            _type         ;
   public  : Tcontrol_t         _write_rd     ;
   public  : Tgeneral_address_t _num_reg_rd   ;
@@ -66,5 +66,5 @@
 		     Tpacket_t          packet_id    ,
 		     //Toperation_t       operation    ,
-		     //Ttype_t            type         ,
+		     Ttype_t            type         ,
 		     Tcontrol_t         write_rd     ,
 		     Tgeneral_address_t num_reg_rd   ,
@@ -82,5 +82,5 @@
       _packet_id     = packet_id    ;
     //_operation     = operation    ;
-    //_type          = type         ;
+      _type          = type         ;
       _write_rd      = write_rd     ;
       _num_reg_rd    = num_reg_rd   ;
@@ -102,5 +102,5 @@
 		    << " * _packet_id     : " << toString(x._packet_id    ) << std::endl
 		  //<< " * _operation     : " << toString(x._operation    ) << std::endl
-		  //<< " * _type          : " << toString(x._type         ) << std::endl
+		    << " * _type          : " << toString(x._type         ) << std::endl
 		    << " * _write_rd      : " << toString(x._write_rd     ) << std::endl
 		    << " * _num_reg_rd    : " << toString(x._num_reg_rd   ) << std::endl
@@ -149,5 +149,5 @@
   ALLOC_SC_SIGNAL ( in_WRITE_QUEUE_IN_PACKET_ID     ," in_WRITE_QUEUE_IN_PACKET_ID"     , Tpacket_t         );
 //ALLOC_SC_SIGNAL ( in_WRITE_QUEUE_IN_OPERATION     ," in_WRITE_QUEUE_IN_OPERATION"     , Toperation_t      );
-//ALLOC_SC_SIGNAL ( in_WRITE_QUEUE_IN_TYPE          ," in_WRITE_QUEUE_IN_TYPE"          , Ttype_t           );
+  ALLOC_SC_SIGNAL ( in_WRITE_QUEUE_IN_TYPE          ," in_WRITE_QUEUE_IN_TYPE"          , Ttype_t           );
   ALLOC_SC_SIGNAL ( in_WRITE_QUEUE_IN_WRITE_RD      ," in_WRITE_QUEUE_IN_WRITE_RD"      , Tcontrol_t        );
   ALLOC_SC_SIGNAL ( in_WRITE_QUEUE_IN_NUM_REG_RD    ," in_WRITE_QUEUE_IN_NUM_REG_RD"    , Tgeneral_address_t);
@@ -209,5 +209,5 @@
   INSTANCE_SC_SIGNAL (_Write_queue,  in_WRITE_QUEUE_IN_PACKET_ID     );
 //INSTANCE_SC_SIGNAL (_Write_queue,  in_WRITE_QUEUE_IN_OPERATION     );
-//INSTANCE_SC_SIGNAL (_Write_queue,  in_WRITE_QUEUE_IN_TYPE          );
+  INSTANCE_SC_SIGNAL (_Write_queue,  in_WRITE_QUEUE_IN_TYPE          );
   INSTANCE_SC_SIGNAL (_Write_queue,  in_WRITE_QUEUE_IN_WRITE_RD      );
   INSTANCE_SC_SIGNAL (_Write_queue,  in_WRITE_QUEUE_IN_NUM_REG_RD    );
@@ -322,5 +322,5 @@
 				     i,
 				   //range<Toperation_t      >(rand(),_param->_size_operation       ),
-				   //range<Ttype_t           >(rand(),_param->_size_type            ),
+				     range<Ttype_t           >(rand(),_param->_size_type            ),
 				     range<Tcontrol_t        >(rand(),1                             ),
 				     range<Tgeneral_address_t>(rand(),_param->_size_general_register),
@@ -354,5 +354,5 @@
 	    in_WRITE_QUEUE_IN_PACKET_ID    ->write(request [nb_request_in]->_packet_id    );
 	  //in_WRITE_QUEUE_IN_OPERATION    ->write(request [nb_request_in]->_operation    );
-	  //in_WRITE_QUEUE_IN_TYPE         ->write(request [nb_request_in]->_type         );
+	    in_WRITE_QUEUE_IN_TYPE         ->write(request [nb_request_in]->_type         );
 	    in_WRITE_QUEUE_IN_WRITE_RD     ->write(request [nb_request_in]->_write_rd     );
 	    in_WRITE_QUEUE_IN_NUM_REG_RD   ->write(request [nb_request_in]->_num_reg_rd   );
